Package network

# Class Connexion

java.lang.Object
network.Connexion

All Implemented Interfaces:
  `PacketVisitor`

Direct Known Subclasses:
  `ClientConnexion`, `ServerConnexion`

public abstract class Connexion extends Object implements PacketVisitor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Connexion(Socket socket)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `isClosed()`
  `void`
  `sendPacket(Packet packet)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface network.protocol.PacketVisitor

  `visit, visitPacket, visitPacket, visitPacket, visitPacket, visitPacket, visitPacket, visitPacket, visitPacket, visitPacket, visitPacket`

- ## Constructor Details

  - ### Connexion

    public Connexion(Socket socket) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### isClosed

    public boolean isClosed()

  - ### sendPacket

    public void sendPacket(Packet packet)

  - ### close

    public void close()